com.microfocus.awm.model

## Interface IPropertyGroupManager

- Deprecated.

      @Deprecated
      public interface IPropertyGroupManager

  Management Class for Property Groups. Copyright (C) Micro Focus
  Author:
    Christelle

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `associatePropertyGroup(org.eclipse.core.resources.IResource pRes, java.lang.String pPropertyGroupName)` Deprecated. Associate the given property group with the given resource.
    `void` | `checkNature(org.eclipse.core.resources.IProject pProject)` Deprecated. Checks if the given project has a nature of type 'local project', if not this nature is added to the project's natures.
    `void` | `deleteSpecialPropertyGroup(IElement pElement)` Deprecated. Delete the special property 'PropertyGroup' for this element if existing.
    `void` | `downloadCopyBooks(IElement pElement, org.eclipse.core.resources.IResource pRes, java.lang.String pPropertyGroupName, FileDescriptor pFileDescr, java.lang.String pLanguageCategory, IExecutionContext pContext)` Deprecated. Download the copybooks in the folder corresponding to the structure of the giving element.

- - ### Method Detail

    - #### associatePropertyGroup

          boolean associatePropertyGroup(org.eclipse.core.resources.IResource pRes,
                                         java.lang.String pPropertyGroupName)
                                  throws TaurusCoreException

      Deprecated.
      Associate the given property group with the given resource.
      Parameters:
        `pRes` - resource to which the property group will be associated
        `pPropertyGroupName` - property group name to be associated with the resource
      Returns:
        if the property group has been associated with the element successfully otherwise
      Throws:
        `TaurusCoreException` - if a taurus core exception occurs

    - #### downloadCopyBooks

          void downloadCopyBooks(IElement pElement,
                                 org.eclipse.core.resources.IResource pRes,
                                 java.lang.String pPropertyGroupName,
                                 FileDescriptor pFileDescr,
                                 java.lang.String pLanguageCategory,
                                 IExecutionContext pContext)
                          throws TaurusToolException

      Deprecated.
      Download the copybooks in the folder corresponding to the structure of the giving element.
      Parameters:
        `pElement` - element on which folder the copybooks will be downloaded
        `pRes` - element resource to which the property group will be associated
        `pPropertyGroupName` - name of the property group to be associated with the element resource
        `pFileDescr` - file descriptor pointing to the file that contains the copybooks to be downloaded
        `pLanguageCategory` - category for the property group to be associated with the element resource
        `pContext` - execution context
      Throws:
        `TaurusToolException` - if a Taurus exception occurs

    - #### deleteSpecialPropertyGroup

          void deleteSpecialPropertyGroup(IElement pElement)
                                   throws TaurusCoreException,
                                          org.eclipse.core.runtime.CoreException

      Deprecated.
      Delete the special property 'PropertyGroup' for this element if existing.
      Parameters:
        `pElement` - element which special property 'PropertyGroup' will be deleted
      Throws:
        `TaurusCoreException` - if a Taurus core exception occurs
        `org.eclipse.core.runtime.CoreException` - if a core exception occurs

    - #### checkNature

          void checkNature(org.eclipse.core.resources.IProject pProject)
                    throws org.eclipse.core.runtime.CoreException

      Deprecated.
      Checks if the given project has a nature of type 'local project', if not this nature is added to the project's natures.
      Parameters:
        `pProject` - project whose nature will be checked to be of type 'local project'; if not this nature is added to the project's natures
      Throws:
        `org.eclipse.core.runtime.CoreException` - if a core exception occurs

Copyright © 2015 Micro Focus GmbH. All rights reserved.